<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.onebody.fitness">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />

    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true"
        android:xlargeScreens="true" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_onebody_app"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_onebodyapp_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.BodyOneFitness"
        android:usesCleartextTraffic="true"
        tools:ignore="UnusedAttribute">
        <activity
            android:name=".ui.dashboard.OpenVideoActivity"
            android:configChanges="orientation|screenSize|screenLayout"
            android:exported="true"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar.FullScreen" />
        <activity
            android:name=".ui.dashboard.VideoTestActivity"
            android:configChanges="orientation|screenSize|screenLayout"
            android:exported="true"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar.FullScreen" />
        <activity
            android:name=".ui.dashboard.dailychallangedetail.MeeraCastActivity"
            android:exported="false" />
        <activity
            android:name=".ui.dashboard.avatar.AvatarViewActivity"
            android:exported="false" />
        <activity
            android:name=".ui.dashboard.dailychallengemore.DailyChallengeMoreWorkoutActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity android:name=".ui.dashboard.ImagePickerActivity" />
        <activity
            android:name="com.yalantis.ucrop.UCropActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity
            android:name="com.theartofdev.edmodo.cropper.CropImageActivity"
            android:theme="@style/Base.Theme.AppCompat" />
        <activity
            android:name=".ui.login.ForgotPasswordActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.contactlist.ContactListActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.otp.OtpActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysVisible" />
        <activity
            android:name=".ui.dashboard.Calories.CaloriesActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.notification.NotificationActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.myprofile.MyProfileActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".ui.dashboard.shoes.ShoesDetailActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.shoes.ShoesActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.clothtypefemale.ClothTypeFemaleActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.howitworks.HowItWorksActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.leaderboard.LeaderBoardActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.setting.SettingActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.contactus.ContactusActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.facetype.female.FemaleBodyTypeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.dailychallengelist.DailyChallengeList"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.clothtypemale.ClothTypeMaleActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <!--
 <activity
            android:name=".ui.dashboard.address.AddressActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.cart.CartListActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        -->
        <activity
            android:name=".ui.dashboard.product.ProductDetailActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.product.ProductListActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.chatdetail.ChatDetailActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.greatyou.GreatYouActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.dailychallangedetail.DailyChallengeDetailActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.dailychallange.DailyChallengeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.facetype.male.MaleFaceTypeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.facetype.female.FemaleFaceTypeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.bodytype.BodyTypeMaleActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.bodytype.BodyTypeFemaleeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.gender.GenderActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.dashboard.homemore.HomeMoreStationActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.login.ChangePasswordActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".ui.login.ForgotPasswordEmailActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".ui.dashboard.DashBoardActivity"
            android:exported="true"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.splash.SplashActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.register.RegisterActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".ui.login.LoginActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <receiver
            android:name=".ui.dashboard.dailychallangedetail.MiracastWidgetProvider"
            android:exported="true">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE" />
            </intent-filter>

            <meta-data
                android:name="android.appwidget.provider"
                android:resource="@xml/miracast_widget_info" />
        </receiver>
    </application>

</manifest>